---
lang: en
title: 'API docs: apiconnect.apiconnectspecenhancer'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/apiconnect
permalink: /doc/en/lb4/apidocs.apiconnect.apiconnectspecenhancer.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/apiconnect](./apiconnect.md) &gt; [ApiConnectSpecEnhancer](./apiconnect.apiconnectspecenhancer.md)

## ApiConnectSpecEnhancer class

An OpenAPI spec enhancer to add `x-ibm-configuration` extension required by API Connect

<b>Signature:</b>

```typescript
export declare class ApiConnectSpecEnhancer implements OASEnhancer 
```
<b>Implements:</b> [OASEnhancer](./openapi-v3.oasenhancer.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(options, appMetadata)](./apiconnect.apiconnectspecenhancer._constructor_.md) |  | Constructs a new instance of the <code>ApiConnectSpecEnhancer</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./apiconnect.apiconnectspecenhancer.name.md) |  | string |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [modifySpec(spec)](./apiconnect.apiconnectspecenhancer.modifyspec.md) |  |  |


